dpp::command_data_option
appcommand.h
bool bool dpp::command_data_option::focused focused dpp::command_data_option::focused

Optional: true if this option is the currently focused option for autocomplete.

std::string std::string dpp::command_data_option::name name dpp::command_data_option::name

The name of the parameter.

std::vector< command_data_option > std::vector<command_data_option> dpp::command_data_option::options options dpp::command_data_option::options

Optional: present if this option is a group or subcommand.

command_option_type command_option_type dpp::command_data_option::type type dpp::command_data_option::type

The type of option (value of ApplicationCommandOptionType).

command_value command_value dpp::command_data_option::value value dpp::command_data_option::value

Optional: the value of the pair.

bool bool dpp::command_data_option::empty () empty dpp::command_data_option::empty

Check if the value variant holds std::monostate and options vector is empty (i.e. the option wasn't supplied).

bool true, if value variant holds std::monostate and options vector is empty

typename T
T & T & dpp::command_data_option::get_value (size_t index) get_value dpp::command_data_option::get_value size_t index

Get an option value by index.

T

Type to get from the parameter

index

index of the option

T returned type

Values in the command interaction. These are the values specified by the user when actually issuing the command on a channel or in DM.

T
bool
command_option_type
dpp::command_data_option
name
type
value
options
focused
std::basic_string< Char >
std::string
variant< std::monostate, std::string, int64_t, bool, snowflake, double >
std::vector< T >
elements
std::vector< dpp::command_data_option >
elements
< dpp::command_data_option >
- dpp::command_data_option
  empty
- dpp::command_data_option
  focused
- dpp::command_data_option
  get_value
- dpp::command_data_option
  name
- dpp::command_data_option
  options
- dpp::command_data_option
  type
- dpp::command_data_option
  value